## Index

### Classes

- Placeholder
- PlaceholderModule
- PlaceholderService

### Functions

- PLACEHOLDER_SERVICE_PROVIDER_FACTORY

### Object literals

- PLACEHOLDER_SERVICE_PROVIDER

## Functions

### PLACEHOLDER_SERVICE_PROVIDER_FACTORY

- PLACEHOLDER_SERVICE_PROVIDER_FACTORY(parentService: PlaceholderService): PlaceholderService

- - Defined in src/placeholder/placeholder.module.ts:10

  #### Parameters

  - ##### parentService: PlaceholderService

  #### Returns PlaceholderService

## Object literals

### Const PLACEHOLDER_SERVICE_PROVIDER

PLACEHOLDER_SERVICE_PROVIDER: object

- Defined in src/placeholder/placeholder.module.ts:15

### deps

deps: Optional[][] = [[new Optional(), new SkipSelf(), PlaceholderService]]

- Defined in src/placeholder/placeholder.module.ts:17

### provide

provide: PlaceholderService = PlaceholderService

- Defined in src/placeholder/placeholder.module.ts:16

### useFactory

useFactory: PLACEHOLDER_SERVICE_PROVIDER_FACTORY = PLACEHOLDER_SERVICE_PROVIDER_FACTORY

- Defined in src/placeholder/placeholder.module.ts:18

Generated using TypeDoc